﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="TelerikWebForm.aspx.cs" Inherits="TelerikWebForm" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <telerik:RadStyleSheetManager ID="RadStyleSheetManager1" runat="server" />
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
        <Scripts>
            <%--Needed for JavaScript IntelliSense in VS2010--%>
            <%--For VS2008 replace RadScriptManager with ScriptManager--%>
            <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
        </Scripts>
    </telerik:RadScriptManager>
    <div>
        <script type="text/javascript">
            function OnClientClicked(sender, args) {

                var treeOne = $find("<%= RadTreeView1.ClientID %>");
                var treeTwo = $find("<%= RadTreeView2.ClientID %>");

                for (var i = 0; i < treeOne.get_selectedNodes().length; i++) {
                    treeTwo.trackChanges();

                    var node = treeOne.get_selectedNodes()[i];
                  
                    if (checkIfContains(node)) {
                      treeTwo.get_nodes().add(node);
                    }
                  
                    treeTwo.commitChanges();
                }

            }

            function checkIfContains(node) {
        
                var treeTwo = $find("<%= RadTreeView2.ClientID %>");
                for (var i = 0; i < treeTwo.get_allNodes().length; i++) {

                    if (treeTwo.get_allNodes()[i].get_text() == node.get_text()) {
                  
                        return false;
                    }
                }
                return true;
            }

            function OnClientDoubleClick(sender, args) {

                var tree = $find("<%= RadTreeView2.ClientID %>");
                tree.trackChanges();
                var node = args.get_node();
                if (checkIfContains(node)) {
                      tree.get_nodes().add(node);
                    }
                tree.commitChanges();
            }

        </script>
        <telerik:RadTreeView runat="server" ID="RadTreeView1" MultipleSelect="true" OnClientDoubleClick="OnClientDoubleClick">
            <Nodes>
                <telerik:RadTreeNode Text="Personal Folders" Expanded="True">
                    <Nodes>
                        <telerik:RadTreeNode Text="Deleted Items" />
                        <telerik:RadTreeNode Text="Drafts" />
                        <telerik:RadTreeNode Text="Inbox" Expanded="True">
                            <Nodes>
                                <telerik:RadTreeNode Text="Invoices" />
                            </Nodes>
                        </telerik:RadTreeNode>
                        <telerik:RadTreeNode Text="Junk E-mail" />
                        <telerik:RadTreeNode Text="OutboxDf" />
                        <telerik:RadTreeNode Text="Sent Items Dif" />
                        <telerik:RadTreeNode Text="Search FoldersDif" Selected="true">
                            <Nodes>
                                <telerik:RadTreeNode Text="Form Follow UpDif" />
                                <telerik:RadTreeNode Text="Large Mail" />
                                <telerik:RadTreeNode Text="Unread Mail" />
                            </Nodes>
                        </telerik:RadTreeNode>
                    </Nodes>
                </telerik:RadTreeNode>
            </Nodes>
        </telerik:RadTreeView>
        <telerik:RadButton runat="server" ID="RadButton1" AutoPostBack="false" OnClientClicked="OnClientClicked">
        </telerik:RadButton>
        <telerik:RadTreeView runat="server" ID="RadTreeView2">
            <Nodes>
                <telerik:RadTreeNode Text="Personal Folders" Expanded="True">
                    <Nodes>
                        <telerik:RadTreeNode Text="Deleted Items" />
                        <telerik:RadTreeNode Text="Drafts" />
                        <telerik:RadTreeNode Text="Inbox" Expanded="True">
                            <Nodes>
                                <telerik:RadTreeNode Text="Invoices" />
                            </Nodes>
                        </telerik:RadTreeNode>
                        <telerik:RadTreeNode Text="Junk E-mail" />
                        <telerik:RadTreeNode Text="Outbox" />
                        <telerik:RadTreeNode Text="Sent Items" />
                        <telerik:RadTreeNode Text="Search Folders" Selected="true">
                            <Nodes>
                                <telerik:RadTreeNode Text="Form Follow Up" />
                                <telerik:RadTreeNode Text="Large Mail" />
                                <telerik:RadTreeNode Text="Unread Mail" />
                            </Nodes>
                        </telerik:RadTreeNode>
                    </Nodes>
                </telerik:RadTreeNode>
            </Nodes>
        </telerik:RadTreeView>
    </div>
    </form>
</body>
</html>
